;*======================================================================*
;*                TITLE:                  JOYDEFS.INC                   *
;*                Function:               Controller definitions	*
;*                                                                      *
;*                Project #:              JAGUAR                        *
;*                Programmer:             Jerome Strach                 *
;*                                        Andrew J Burgess              *
;*                                                                      *
;*                Created:                12/14/92                      *
;*                Modified:               01/06/93  AJB                 *
;*                                                                      *
;*              COPYRIGHT 1993 Atari Computer Corporation               *
;*          UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION,         *
;*          PERFORMANCE OR DISPLAY OF THIS COMPUTER PROGRAM OR          *
;*        THE ASSOCIATED AUDIOVISUAL WORK IS STRICTLY PROHIBITED.       *
;*                            ALL RIGHTS RESERVED.                      *
;*                                                                      *
;*======================================================================*
;*
;* NOTES:
;*
;*======================================================================*

	JOYIN		equ	$d1a000
	JOYOUT		equ	$d1a000

	YES		equ	1
	NO		equ	0

	NUM_OF_PLAYERS	equ	1		;set to 1 if 1 player,
						;       2 if 2 players

 .if NUM_OF_PLAYERS = 1
	TWO_PLAYERS	equ	NO		;conditional assembly for 2 players
 .else
	TWO_PLAYERS	equ	YES		;conditional assembly for 2 players
 .endif

	JOY_UP		equ	0		;joypad
	JOY_DOWN	equ	1
	JOY_LEFT	equ	2
	JOY_RIGHT	equ	3


	FIRE_A		equ	0		;fire buttons
	FIRE_B		equ	1
	FIRE_C		equ	2
	OPTION		equ	3
	PAUSE		equ	4

	FIRE_A_BIT	equ	%00000001
	FIRE_B_BIT	equ	%00000010
	FIRE_C_BIT	equ	%00000100
	OPTION_BIT	equ	%00001000
	PAUSE_BIT	equ	%00010000


	KEYPAD_USER	equ	YES		;conditional assembly of keypad code

	KEY_S		equ	0		;keypad
	KEY_7		equ	1
	KEY_4		equ	2
	KEY_1		equ	3

	KEY_0		equ	4
	KEY_8		equ	5
	KEY_5		equ	6
	KEY_2		equ	7

	KEY_P		equ	8
	KEY_9		equ	9
	KEY_6		equ	10
	KEY_3		equ	11

;*======================================================================*
;*                              EOF
;*======================================================================*

